import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { IBreadCrumbItem } from '@components/page/breadcrumds/page-breadcrumbs.component';
import { OnlineBoardBreadCrumbService } from '@online-board/services/bread-crumb.service';

@Injectable()
export class OnlineBoardRouteSearchBreadCrumbsResolver
    implements Resolve<IBreadCrumbItem[]>
{
    constructor(private breadCrumbService: OnlineBoardBreadCrumbService) {}

    resolve() {
        return [this.breadCrumbService.getRootBreadCrumb()];
    }
}
